void init_ports(void){

	//LED
    DDRB  |=  _BV(0);	//output
	PORTB &=  ~_BV(0);	//off
	
	//Buzzer
	DDRB  |=  _BV(2);	//output
	PORTB |=  _BV(2);	//off (PNP)
	
	//Przycisk 1
	DDRB  &= ~_BV(4);	//input
	PORTB |=  _BV(4);	//pull-up VCC

	//Przycisk 2
	DDRB  &= ~_BV(3);	//input
	PORTB |=  _BV(3);	//pull-up VCC
	
	//Przycisk 3
	DDRB  &= ~_BV(1);	//input
	PORTB |=  _BV(1);	//pull-up VCC

}

void init_overflows(void){

	//Timer2 (Zegarek) - przerwanie co 1s
	TIMSK &=~_BV(TOIE2);				// Wycz przerwania TC2 
	ASSR |= _BV(AS2);					// przecz TC2 z taktowania zegarem CPU 
										// na generator asynchoniczny 32768 Hz 
	TCCR2 = _BV(CS22)|_BV(CS20);		// ustaw preskaler na podzia przez 128 
										// aby generowa przerwania dokadnie co 1 sekund
	while(ASSR&0x07);					// czekaj na uaktualnienie TC2 
	//TIMSK |= _BV(TOIE2);				// wcz przerwania z TC2
	
	
	//Timer1 (LED Display) - przerwanie co 200us
	TIMSK |= _BV(TOIE1);				// wcz obsug przerwa T/C1
	TCNT1 = 63136;						// warto pocztkowa T/C1 
	TCCR1A = 0x00;						// wcz tryb czasomierza T/C1 
	TCCR1B = _BV(CS10);					// preskaler 1
	
	
	//ADC - ustawienie przetwornika
	ADMUX = _BV(REFS0)|_BV(REFS1);                			// wybr kanau 0 przetwornika ADC 
	ADCSR = _BV(ADEN)|_BV(ADIE)|_BV(ADPS1)|_BV(ADPS2);		// preskaler 64, bez cigego pomiaru (Free Run = |_BV(ADFR))
	ADCSR|= _BV(ADSC);										// wczenie przetwarzania ADC
	
	sei();

}